Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
POSTShared Block Primary Storage OperationsSince 2.3.2SynchronousAuth Required

AddSharedBlockToSharedBlockGroup

AddSharedBlockToSharedBlockGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The LUN group UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • diskUuidStringRequired

      The unique identifier of the disk. For example, UUID, WWN, and WWID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySharedBlockGroupPrimaryStorageInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      The reserved field.

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      The total capacity.

    • availableCapacityLongRequired

      The available capacity.

    • totalPhysicalCapacityLongRequired

      The total physical capacity.

    • availablePhysicalCapacityLongRequired

      The available physical capacity.

    • systemUsedCapacityLongRequired

      The system used capacity.

    • typeStringRequired

      The type of the primary storage.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • stateStringRequired

      The state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • statusStringRequired

      The status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • mountPathStringRequired

      The reserved field.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The attached cluster UUID list.

    • sharedBlocksListRequired

      See sharedBlocks.

      • uuidStringRequired

        The resource UUID.

      • sharedBlockGroupUuidStringRequired

        The LUN group UUID.

      • diskUuidStringRequired

        The unique identifier of the disk. For example, UUID, WWN, and WWID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • typeSharedBlockTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

      • stateSharedBlockStateRequired

        See state.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

      • statusSharedBlockStatusRequired

        See status.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

    • sharedBlockGroupTypeSharedBlockGroupTypeRequired

      See sharedBlockGroupType.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

POST/zstack/v1/primary-storage/sharedblockgroup/{uuid}/sharedblocks

/zstack/v1/primary-storage/sharedblockgroup/{uuid}/sharedblocks

Operation ID

AddSharedBlockToSharedBlockGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/sharedblockgroup/{uuid}/sharedblocks' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"diskUuid":"<diskUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "sharedBlocks": [ { "uuid": "5bc4ef2f6f703bfd9aef732be038103d", "sharedBlockGroupUuid": "08f3dd28f1c433fe871e3fe760476981", "type": "LvmLogicalVolumeBasic", "diskUuid": "b9a89d214e3b37eda7a1aa948c59db13", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "sharedBlockGroupType": "LvmVolumeGroupBasic", "uuid": "08f3dd28f1c433fe871e3fe760476981", "name": "shared block group primary storage", "description": "shared block group primary storage description", "availableCapacity": 1.073741824E9, "availablePhysicalCapacity": 1.073741824E9, "type": "SharedBlock", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history